## oar 2.5.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
DOC_TARGET    = docmaster@oar.imag.fr
SPHINXOPTS    =
DOC_VERSION   = 2.5
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  publish    to upload online the HTML documentation"
	@echo "  publishpdf to upload online the PDF documentation manuals"
	@echo "  publishall to upload online the HTML and PDF documentation"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OAR.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OAR.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OAR"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OAR"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

publish: html
	rsync -avh $(BUILDDIR)/html/ $(DOC_TARGET):~/oar-doc/$(DOC_VERSION)

publishpdf: latexpdf
	rsync -avh $(BUILDDIR)/latex/*.pdf oar-docmaster.website:~/oar-doc/$(DOC_VERSION)
	rsync -avh $(BUILDDIR)/latex/*.tex oar-docmaster.website:~/oar-doc/$(DOC_VERSION)

publishall: publish publishpdf

=== sources/extra/cpp-scheduler/Makefile ===
#############################################################################
# Makefile for building: Oar_sched_gantt_with_timesharing_and_fairsharing
# Generated by qmake (2.01a) (Qt 4.4.3) on: lun. janv. 5 16:38:00 2009
# Project:  oarsched.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile oarsched.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_SQL_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtSql -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = Oar_iolib.cc \
		Oar_conflib.cc \
		Gantt_hole_storage.cc \
		Oar_resource_tree.cc \
		Oar_sched_gantt_with_timesharing_and_fairsharing.cc 
OBJECTS       = Oar_iolib.o \
		Oar_conflib.o \
		Gantt_hole_storage.o \
		Oar_resource_tree.o \
		Oar_sched_gantt_with_timesharing_and_fairsharing.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		oarsched.pro
QMAKE_TARGET  = Oar_sched_gantt_with_timesharing_and_fairsharing
DESTDIR       = 
TARGET        = Oar_sched_gantt_with_timesharing_and_fairsharing

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: oarsched.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile oarsched.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile oarsched.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0 || $(MKDIR) .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0/ && $(COPY_FILE) --parents Gantt_hole_storage.H Oar_resource_tree.H .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0/ && $(COPY_FILE) --parents Oar_iolib.cc Oar_conflib.cc Gantt_hole_storage.cc Oar_resource_tree.cc Oar_sched_gantt_with_timesharing_and_fairsharing.cc .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0/ && (cd `dirname .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0` && $(TAR) Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0.tar Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0 && $(COMPRESS) Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0.tar) && $(MOVE) `dirname .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0`/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

Oar_iolib.o: Oar_iolib.cc Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_iolib.o Oar_iolib.cc

Oar_conflib.o: Oar_conflib.cc 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_conflib.o Oar_conflib.cc

Gantt_hole_storage.o: Gantt_hole_storage.cc Gantt_hole_storage.H \
		Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Gantt_hole_storage.o Gantt_hole_storage.cc

Oar_resource_tree.o: Oar_resource_tree.cc Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_resource_tree.o Oar_resource_tree.cc

Oar_sched_gantt_with_timesharing_and_fairsharing.o: Oar_sched_gantt_with_timesharing_and_fairsharing.cc 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_sched_gantt_with_timesharing_and_fairsharing.o Oar_sched_gantt_with_timesharing_and_fairsharing.cc

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
oar (2.5.6-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Pierre Neyron <pierre.neyron@free.fr>  Wed, 24 Feb 2016 16:55:09 +0100

oar (2.5.6-2) unstable; urgency=medium

  * correctly rebuild amd64 packages (due to a error, uploaded binary
    packages for 2.5.6-1 was a work in progress)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 18 Feb 2016 09:45:32 +0100

oar (2.5.6-1) unstable; urgency=medium

  [ Pierre Neyron ]
  * New upstream release
  * Rework Debian README file for oar-api (api setup)
  * Source-less javascript were removed upstream, no need for dfsg now
  * Change dependences of oar-restful-api, can be in main again
  * Remove patch applied upstream
  * Add recommends to libyaml-syck-perl (provide faster YAML functions)
  * Fix copyright, accordingly to upstream changes

  [ Vincent Danjean ]
  * Apply suggestion from 'cme fix/edit dpkg'
  * Remove Philippe as Uploader (not working on this project anymore)

 -- Pierre Neyron <pierre.neyron@free.fr>  Tue, 16 Feb 2016 14:20:58 +0100

oar (2.5.5+dfsg.1-1) unstable; urgency=medium

  * remove source-less javascript files from tar.gz
  * add a README.source to warn about an uscan bug

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 21 Sep 2015 16:45:32 +0200

oar (2.5.5-2) unstable; urgency=medium

  * Rework the sections of the packages (mainly set to utils instead of science)
  * Set the archive area/section of the oar-restful-api package to contrib/net,
    since it depends on non-free packages (Closes: #798820)
  * Remove the oar-api transitional dummy package
  * Fix typos in oar-restful-api README.Debian file
  * Remove the overlib.js files from sources, because overLIB is not actually
    used and has copyright issues (broken URL in the copyright notice)
  * Fix upstream contact and remove overLIB artistic license in the copyright
    file

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 18 Sep 2015 15:18:47 +0200

oar (2.5.5-1) unstable; urgency=medium

  [ Pierre Neyron ]
  * New upstream release
  * Fix oar-common, oar-web-status and oar-restful-api unowned files after
    purge (Closes: #674657)
  * Fix oar-web-status and oar-restful-api webapps setup for apache 2.4
  * Set libyaml-perl as a dependance for oar-restful-api and remove
    libxml-simple-perl from the recommends
  * Add python-sphinx to the build dependencies
  * Replace embedded jquery.js and underscore.js in oar-doc with a symlink to
    the copy provided by the libjs-* packages
  * Fix minor spelling issues in oarsub man page
  * Fix lintian issues or add overrides

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 07 Sep 2015 23:17:12 +0200

=== debian/control ===
Source: oar
Maintainer: Pierre Neyron <pierre.neyron@free.fr>
Uploaders: Vincent Danjean <vdanjean@debian.org>
Section: utils
Priority: extra
Build-Depends: debhelper (>= 9),
               po-debconf,
               perl,
               python-sphinx | python3-sphinx
Standards-Version: 3.9.7
Vcs-Git: https://github.com/oar-team/oar.git/ -b debian.org
Homepage: http://oar.imag.fr/

Package: liboar-perl
Architecture: any
Section: perl
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl
Suggests: oar-server,
          oar-user,
          oar-node,
          oar-doc
Description: OAR batch scheduler common library package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common libraries of the OAR batch scheduler

Package: oar-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         adduser,
         ucf
Suggests: oar-server,
          oar-user,
          oar-node,
          oar-doc
Description: OAR batch scheduler common package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common part of the OAR batch scheduler

Package: oar-server
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         openssh-client,
         cron,
         lsb-base,
         libsort-versions-perl,
         libdbi-perl,
         oar-common (= ${binary:Version}),
         liboar-perl (= ${binary:Version}),
         oar-server-pgsql (= ${binary:Version}) | oar-server-mysql (= ${binary:Version}),
         perl (<< 5.17) | libterm-ui-perl
Recommends: libxml-dumper-perl,
            libyaml-perl,
            libyaml-syck-perl
Suggests: taktuk,
          phpmyadmin,
          oar-node,
          oar-doc,
          openssh-server
Breaks: oar-admin
Description: OAR batch scheduler server package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the server part of the OAR batch scheduler

Package: oar-server-mysql
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-mysql-perl
Recommends: mysql-client
Suggests: mysql-server
Description: OAR batch scheduler MySQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the server part of the
 OAR batch scheduler.

Package: oar-server-pgsql
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-pg-perl
Recommends: postgresql-client
Suggests: postgresql
Description: OAR batch scheduler PostgreSQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependencies for the server part of
 the OAR batch scheduler.

Package: oar-node
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openssh-client,
         openssh-server,
         oar-common (= ${binary:Version})
Suggests: oar-doc,
          xauth
Description: OAR batch scheduler node package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the execution node part of the OAR batch scheduler

Package: oar-user
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         oar-common (= ${binary:Version}),
         liboar-perl (= ${binary:Version}),
         oar-user-pgsql (= ${binary:Version}) | oar-user-mysql (= ${binary:Version})
Recommends: libxml-dumper-perl,
            libyaml-perl,
            libyaml-syck-perl
Suggests: oar-doc,
          openssh-client,
          xauth
Breaks: oar-admin
Description: OAR batch scheduler user package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the submission and query part of the OAR batch scheduler.

Package: oar-user-mysql
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-mysql-perl
Description: OAR batch scheduler MySQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the user part of the
 OAR batch scheduler.

Package: oar-user-pgsql
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-pg-perl
Description: OAR batch scheduler PostgreSQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependences for the user part of
 the OAR batch scheduler.

Package: oar-web-status
Architecture: all
Section: web
Depends: ${misc:Depends},
         ${shlibs:Depends},
         apache2 | httpd-cgi,
         ${perl:Depends},
         libdbi-perl,
         libdbd-mysql-perl | libdbd-pg-perl,
         libtie-ixhash-perl,
         libappconfig-perl,
         libsort-naturally-perl,
         php5,
         php5-mysql | php5-pgsql
Suggests: oar-doc
Description: OAR batch scheduler visualization tool package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the OAR batch scheduler web interfaces: drawgantt-svg
 and monika.

Package: oar-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Description: OAR batch scheduler documentation package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install some documentation for OAR batch scheduler

Package: oar-restful-api
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         perl-modules,
         libjson-perl,
         libyaml-perl,
         libwww-perl,
         libcgi-fast-perl,
         oar-user,
         apache2 | httpd-cgi
Recommends: libyaml-syck-perl
Suggests: oar-doc,
          oar-server,
          apache2,
          libapache2-mod-fastcgi,
          apache2-suexec-custom
Description: OAR web services
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs a RESTful API for oar users.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

INSTALLDIR=debian

export OARUSER=oar
export OARCONFDIR=/etc/oar
export PREFIX=/usr
export MANDIR=/usr/share/man
export OARDIR=/usr/lib/oar
export BINDIR=/usr/bin
export SBINDIR=/usr/sbin
export CGIDIR=/usr/lib/cgi-bin
export PERLLIBDIR=/usr/share/perl5
export VARLIBDIR=/var/lib
export SETUP_TYPE=deb
export TARGET_DIST=debian

export CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- -e packages-build   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
	

override_dh_auto_install:
	$(MAKE) -e packages-install PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
	## oar-server
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/init.d/oar-server > debian/oar-server.init
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/default/oar-server > debian/oar-server.default
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/cron.d/oar-server > debian/oar-server.cron.d
	
	## oar-node
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/init.d/oar-node > debian/oar-node.init
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/default/oar-node > debian/oar-node.default
	# disable the automatic installation of this cron, by default 
	#cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/cron.d/oar-node > debian/oar-node.cron.d
		
	## oar-common
	cat $(CURDIR)/$(INSTALLDIR)/oar-common/usr/share/oar/oar-common/logrotate.d/oar-common > debian/oar-common.logrotate
	## oar-web-status
	# (poar) use libjs-jquery instead of the embedded one.
	# -- poar is not in the debian packaging (still an experimental feature)
	#rm $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar/oar-web-status/poar/external/jquery.js
	#ln -s /usr/share/javascript/jquery/jquery.js  $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar-web-status/poar/external/jquery.js
		
	## oar-doc
	rm -r $(CURDIR)/$(INSTALLDIR)/oar-doc/usr/share/doc/oar-doc/doctrees
		
	dh_install -i

override_dh_clean:
	dh_clean
	
	$(MAKE) -e packages-clean   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
		
	# Cleaning package
	$(RM) debian/oar-server.init
	$(RM) debian/oar-node.init
	$(RM) debian/oar-server.default
	$(RM) debian/oar-node.default
	$(RM) debian/oar-common.logrotate
	$(RM) debian/oar-server.cron.d
	$(RM) debian/oar-node.cron.d

override_dh_installinit:
	dh_installinit --error-handler=errorinit

override_dh_compress:
	# avoid to compress examples as we use ucf after.
	dh_compress -Xexamples

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/oar-server/usr/share/oar/oar-server/server_epilogue
	chmod +x debian/oar-server/usr/share/oar/oar-server/server_prologue
	chmod +x debian/oar-server/usr/share/oar/oar-server/shut_down_nodes.sh
	chmod +x debian/oar-server/usr/share/oar/oar-server/wake_up_nodes.sh
	chmod +x debian/oar-common/usr/share/oar/oar-common/oarnodesetting_ssh
	chmod +x debian/oar-common/usr/share/oar/oar-common/update_cpuset_id.sh
	chmod +x debian/oar-web-status/usr/share/oar/oar-web-status/userInfos.cgi
	chmod +x debian/oar-restful-api/usr/share/oar/oar-api/stress_factor.sh
	chmod +x debian/oar-node/usr/share/oar/oar-node/epilogue
	chmod +x debian/oar-node/usr/share/oar/oar-node/prologue

## oar 2.5.7

=== sources/core/tools/trace_collect/Makefile ===
MPI_INCLUDE=/usr/include/mpich2/
INCLUDE = -I$(MPI_INCLUDE)

all: ztracempi.c
	gcc -shared -ldl -fPIC ztracempi.c -o ztracempi.so -lmpi $(INCLUDE)  
debug: ztracempi.c	
	gcc -shared -ldl -fPIC ztracempi.c -o ztracempi.so -lmpi $(INCLUDE) -DDEBUG

=== sources/extra/cpp-scheduler/UnitaryTests/Makefile ===
CC= g++
CFLAGS= -g -Wall
CXXFLAGS= -g -Wall
LDLIBS= -ldl -lcppunit

all: AllTest


AllTest: AllTest.o TestResourceTree.o ../Oar_resource_tree.H ../Oar_resource_tree.o ../Gantt_hole_storage.o

clean:
	rm *.o ../*.o

=== debian/changelog ===
oar (2.5.7-3) unstable; urgency=medium

  [ Pierre Neyron ]
  * Fix recommends/suggests in oar-server-mysql: any variant of mysql can
    do (Closes: #848477)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 19 Dec 2016 14:47:53 +0100

oar (2.5.7-2) unstable; urgency=high

  * enabling hardening flags
  * urgency still set to high as 2.5.7-1 is not yet in testing

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 04 Apr 2016 22:47:00 +0200

oar (2.5.7-1) unstable; urgency=high

  * New upstream release, which encompasses a fix for a vulnerability in the
    oarsh command (CVE-2016-1235; Closes: #819952)
  * Make liboar-perl a dependency of oar-common, because the oarnodesetting
    command of the oar-node package also needs the Perl libs
  * Change php dependencies for the transition to php7.0

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 04 Apr 2016 20:11:21 +0200

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${perl:Depends},
+         liboar-perl (= ${binary:Version}),
          adduser,
          ucf
 Suggests: oar-server,
@@ -56,7 +57,6 @@
          libsort-versions-perl,
          libdbi-perl,
          oar-common (= ${binary:Version}),
-         liboar-perl (= ${binary:Version}),
          oar-server-pgsql (= ${binary:Version}) | oar-server-mysql (= ${binary:Version}),
          perl (<< 5.17) | libterm-ui-perl
 Recommends: libxml-dumper-perl,
@@ -81,8 +81,8 @@
          ${perl:Depends},
          libdbi-perl,
          libdbd-mysql-perl
-Recommends: mysql-client
-Suggests: mysql-server
+Recommends: default-mysql-client | virtual-mysql-client
+Suggests: default-mysql-server | virtual-mysql-server
 Description: OAR batch scheduler MySQL server backend package
  OAR is a versatile resource and task manager (also called a batch scheduler)
  for clusters and other computing infrastructures
@@ -128,7 +128,6 @@
          ${perl:Depends},
          libdbi-perl,
          oar-common (= ${binary:Version}),
-         liboar-perl (= ${binary:Version}),
          oar-user-pgsql (= ${binary:Version}) | oar-user-mysql (= ${binary:Version})
 Recommends: libxml-dumper-perl,
             libyaml-perl,
@@ -183,8 +182,8 @@
          libtie-ixhash-perl,
          libappconfig-perl,
          libsort-naturally-perl,
-         php5,
-         php5-mysql | php5-pgsql
+         php,
+         php-mysql | php-pgsql
 Suggests: oar-doc
 Description: OAR batch scheduler visualization tool package
  OAR is a versatile resource and task manager (also called a batch scheduler)

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Some programs are suid. Compiling them with hardening flags...
+# https://wiki.debian.org/Hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -21,7 +27,7 @@
 export SETUP_TYPE=deb
 export TARGET_DIST=debian
 
-export CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall
+CFLAGS += -Wall
 
 %:
 	dh $@
